# Jekyll Now

Jekyll Now is an effort to make it easier to set up your Jekyll blog, eliminating the following up front work:

- No need to touch the command line
- No need to install/configure ruby, rvm/rbenv, ruby gems (my least favorite part, as I'm not a rubyist)
- No need to install runtime dependancies like markdown processors, Pygments, etc
- No cleanup, you can simply delete your repository if you don't like it

It gets you set up with a fully responsive, clean and minimal blog in minutes! - **[Theme Demo](http://jekyllnow.com**

[![Jekyll Now Theme Screenshot](/images/jekyll-now-theme-screenshot.jpg "Jekyll Now Theme Screenshot")](https://raw.githubusercontent.com/barryclark/jekyll-now/master/images/jekyll-now-theme-screenshot-big.jpg)

## Quick Start

### Step 1) Fork Jekyll Now to your User Repository

With this fork first setup you can get a feel for what Jekyll is like extremely quickly. Fork this repo, then make sure that you rename your fork to yourgithubusername.github.io. Your Jekyll blog can then immediately be viewed at that URL.

![Step 1](/images/step1.gif "Step 1")
  

### Step 2) Customize your site

You can now edit your site name, gravatar and other options using the _config.yml file. 

![_config.yml](/images/config.jpg "_config.yml")
  

### Step 3) Publish your first blog post

Your site is customized and looking great. Now you just have to write that epic blog post! We're going to edit the existing Hello World post for your first post. 

![First Post](/images/first-post.jpg "First Post")

To add additional posts you can hit the + icon in the _posts folder (shown at the end of the video) to create new content. Just make sure to include the [front-matter](http://jekyllrb.com/docs/frontmatter/) block at the top of each new blog post and make sure the post's filename is in this format: year-month-day-title.md


## Moar!

I've created a more detailed walkthrough of [Getting Started With Jekyll](#), check it out if you'd like a more detailed walkthrough and some background on Jekyll. :metal:

It covers:

- a
- b

## Jekyll Now Features

✓ Command-line free _fork-first workflow_, using GitHub.com to create, customize and post to your blog  
✓ Fully responsive and mobile optimized base theme (**[Theme Demo](http://jekyllnow.com)**)  
✓ Sass/Coffeescript support using Jekyll 2.0  
✓ Free hosting on your GitHub Pages user site  
✓ Markdown blogging  
✓ Syntax highlighting  
✓ Disqus commenting  
✓ RSS feed and Sitemap.xml good to go  
✓ Google Analytics integration  
✓ SVG social icons for your footer  
✓ Speed - only 3 http requests, including your avatar  
✓ Emoji! :sparkling_heart: :sparkling_heart: :sparkling_heart:  

✘ No installing dependancies  
✘ No need to set up local development  
✘ No configuring plugins  
✘ No need to spend time on theming  
✘ No setting up hosting  
✘ More time to code other things! ... wait that's a ✓  

## Questions? Suggestions?

[Open an Issue](https://github.com/barryclark/jekyll-now/issues/new) and let's chat!

## Wanna get new themes?

If you'd like me to let you know when I release a new theme, just [drop me your email for updates](http://getresponse.com). I'm currently working on a personal portfolio site Jekyll Now theme.

## Credits

- [SVG icons](https://github.com/neilorangepeel/Free-Social-Icons) are by Neil Orange Peel, the they're beautiful. 
- [Joel Glovier](http://joelglovier.com/writing/) for some of his great Jekyll articles—I used feed.xml and sitemap.xml
- [Jekyll](https://github.com/jekyll/jekyll), duh! Thanks to it's creators and contributors.
- Code/Design reviews, thanks to X, Y, Z.
